Package org.pentaho.reporting.libraries.repository

## Class LibRepositoryInfo

- java.lang.Object
- - org.pentaho.reporting.libraries.base.versioning.DependencyInformation
  - - org.pentaho.reporting.libraries.base.versioning.ProjectInformation
    - - org.pentaho.reporting.libraries.repository.LibRepositoryInfo

-     public class LibRepositoryInfo
      extends org.pentaho.reporting.libraries.base.versioning.ProjectInformation

  The LibRepositoryInfo class contains all dependency information and some common information like version, license and contributors about the library itself.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.pentaho.reporting.libraries.base.versioning.ProjectInformation` | `getInstance()` | Returns the singleton instance of the ProjectInformation-class.

    - ### Methods inherited from class org.pentaho.reporting.libraries.base.versioning.ProjectInformation

      `addLibrary, getBootClass, getCopyright, getInternalName, getLibraries, getOptionalLibraries, getProductId, getReleaseBuildNumber, getReleaseCandidateToken, getReleaseMajor, getReleaseMilestone, getReleaseMinor, getReleaseNumber, getVersion`

    - ### Methods inherited from class org.pentaho.reporting.libraries.base.versioning.DependencyInformation

      `equals, getInfo, getLicenseName, getName, hashCode`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static org.pentaho.reporting.libraries.base.versioning.ProjectInformation getInstance()

      Returns the singleton instance of the ProjectInformation-class.
      Returns:
        the singleton ProjectInformation.